Pix Automatic (Recurrence)
List recurrence plans
Lists Pix Automatic plans based on provided filters.
GET
/
v1.1
/
pix-automatic
/
plans
List recurrence plans
curl --request GET \
--url https://api.paymee.com.br/v1.1/pix-automatic/plans \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-token: <x-api-token>'import requests
url = "https://api.paymee.com.br/v1.1/pix-automatic/plans"
headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-token': '<x-api-token>'}
};
fetch('https://api.paymee.com.br/v1.1/pix-automatic/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "success",
"totalElements": 1,
"totalPages": 1,
"resultSize": 1,
"result": [
{
"id": "6851c0842bf40769ead1fde5",
"title": "Plano Premium Mensal",
"description": "Acesso completo a todas as funcionalidades da plataforma.",
"frequency": "MONTHLY",
"period": 1,
"imediateAmount": 49.9,
"recurrenceAmount": 29.9,
"minimumRecurrenceAmount": 29.9,
"retryPolicy": "ACCEPT_3R_7D",
"enabled": true,
"creation": "2025-06-17 19:22:44",
"totalAuthorizations": 0
}
]
}{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}Headers
Example:
"your-x-api-key"
Example:
"your-x-api-token"
Query Parameters
Filter by plan title.
Filter by plan status (active/inactive).
Filter by frequency.
Page number for the query.
Maximum number of results per page.
Response
List of plans returned successfully.
⌘I
List recurrence plans

